<?php

/*
 * Created on 19.06.2022
 * HomePage: https://xentr.net
 * Copyright (c) 2019 XENTR | XenForo Add-ons - Styles -  All Rights Reserved
 */

namespace XENTR\RDUG;

use XF\AddOn\AbstractSetup;
use XF\AddOn\StepRunnerInstallTrait;
use XF\AddOn\StepRunnerUninstallTrait;
use XF\AddOn\StepRunnerUpgradeTrait;
use XF\Db\Schema\Alter;

class Setup extends AbstractSetup
{
	use StepRunnerInstallTrait;
	use StepRunnerUpgradeTrait;
	use StepRunnerUninstallTrait;

    public function installStep1(){
        $this->schemaManager()->alterTable('xf_rm_category', function(Alter $table)
        {
            $table->addColumn('xtr_user_group_download_feature', 'tinyint', 3)->setDefault(0);
        });
    }

    public function installStep2(){
        $sm = $this->schemaManager();

        $sm->alterTable('xf_rm_resource', function(Alter $table)
        {
            $table->addColumn('xtr_downloadable_group_ids', 'varbinary', 255)->setDefault(0);
        });
    }

    public function uninstallStep1(){
        $sm = $this->schemaManager();

        $sm->alterTable('xf_rm_category', function(Alter $table)
        {
            $table->dropColumns(['xtr_user_group_download_feature']);

        });
    }

    public function uninstallStep2(){
        $sm = $this->schemaManager();

        $sm->alterTable('xf_rm_resource', function(Alter $table)
        {
            $table->dropColumns(['xtr_downloadable_group_ids']);
        });
    }

}