<?php

/*
 * Created on 19.06.2022
 * HomePage: https://xentr.net
 * Copyright (c) 2019 XENTR | XenForo Add-ons - Styles -  All Rights Reserved
 */

namespace XENTR\RDUG\XFRM\Entity;

use XF\Mvc\Entity\Structure;
use ltrim;

class ResourceItem extends XFCP_ResourceItem
{
	
    public function getDownloadableGroupsTitle(){
        $displayStyles = \XF::app()->container('displayStyles');
        $group_titles = '';
        foreach($this->xtr_downloadable_group_ids AS $group_id){
            $userTitle = $displayStyles[$group_id]['user_title'];
            $group_titles = $group_titles . ', ' . $userTitle;
        }
		
		if(!empty($group_titles)){$group_titles = ltrim($group_titles, $group_titles[0]);}
        return $group_titles;
    }
	
    public static function getStructure(Structure $structure)
    {
        $structure = parent::getStructure($structure);

        $structure->columns += [
            'xtr_downloadable_group_ids' => ['type' => self::LIST_COMMA, 'default' => [],
                'list' => ['type' => 'posint', 'unique' => true, 'sort' => SORT_NUMERIC]]
        ];

        return $structure;
    }
}