<?php

/*
 * Created on 19.06.2022
 * HomePage: https://xentr.net
 * Copyright (c) 2019 XENTR | XenForo Add-ons - Styles -  All Rights Reserved
 */

namespace XENTR\RDUG\XFRM\Pub\Controller;

use XF\Mvc\ParameterBag;

class ResourceVersion extends XFCP_ResourceVersion
{
    public function actionDownload(ParameterBag $params)
    {
        $version = $this->assertViewableVersion($params->resource_version_id);

        $resource = $version->Resource;
        $category = $resource->Category;

        $visitor = \XF::visitor();

        if($category->hasAllowDownloadGroupFeature() && !$visitor->isMemberOf($resource->xtr_downloadable_group_ids)){
            return $this->noPermission(\XF::phrase('xentr_does_not_meet_the_requirements_to_download'));
        }

        return parent::actionDownload($params);
    }
}